<?php
/**
 * The template for displaying Archive pages
 *
 * @package WordPress
 * @subpackage SerceNews
 */
get_header();
vt_content_section('archives');
vt_widgets_sheet('v-top',false);
?>
	<header class="entry-header post-header">
		<h1 class="archive-title"><span><?php
	if ( is_day() ) :
		printf( __( 'Daily Archives: %s', 'veblebi' ), get_the_date() );
	elseif ( is_month() ) :
		printf( __( 'Monthly Archives: %s', 'veblebi' ), get_the_date( _x( 'F Y', 'monthly archives date format', 'veblebi' ) ) );
	elseif ( is_year() ) :
		printf( __( 'Yearly Archives: %s', 'veblebi' ), get_the_date( _x( 'Y', 'yearly archives date format', 'veblebi' ) ) );
	else :
		_e( 'Archives', 'veblebi' );
	endif;
		?></span></h1>
	</header><!-- .archive-header -->
	<div class="entry clearfix">
	<?php
	if ( have_posts() ) vt_posts(false);
	else get_template_part('content', 'none');
	vt_paginate();
	vt_widgets_sheet('v-bottom');
	?>
	</div>
<?php 
vt_content_section(null,true);
get_sidebar();
get_footer();
?>