<?php
/**
 * The template for displaying Comments
 * @package WordPress
 * @subpackage veblebi
 */

if ( post_password_required() ) return;
?>
<!-- #comments .comments-area -->
	<?php // You can start editing here -- including this comment! ?>
	<div id="comments" class="well well-sm">
		<?php if ( have_comments() ) : ?>
		<h4 class="comments-header">
		<span class="glyphicon glyphicon-thumbs-up"></span>
		<?php printf( _n( 'One Response %2$s', '%1$s Responses %2$s', get_comments_number(), 'veblebi' ),
			number_format_i18n( get_comments_number() ), '<small>&nbsp;<span class="glyphicon glyphicon-hand-right"></span>&nbsp;&nbsp;' . get_the_title() . '</small>' );
		?>
		</h4>
		<ol class="comment-ol">
			<?php wp_list_comments( array( 'callback' => 'vt_comment', 'style' => 'ol' ) ); ?>
		</ol><!-- .commentlist -->
		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav id="comment-nav">
			<ul class="clearfix">
				<li><?php previous_comments_link( __("Older comments","veblebi") ) ?></li>
				<li><?php next_comments_link( __("Newer comments","veblebi") ) ?></li>
			</ul>
		</nav>
		<?php endif; // check for comment navigation ?>
		<?php
		if ( ! comments_open() && get_comments_number() ) : ?>
		<p class="nocomments"><?php _e( 'Comments are closed.' , 'veblebi' ); ?></p>
		<?php endif; ?>
		<div class="clearfix"></div>
	<?php endif; // have_comments() ?>
	<?php comment_form(); ?>
</div>




