<?php
add_action('admin_menu', 'serce_admin_menu');
function serce_admin_menu() {
	add_theme_page( 'Theme Options', 'Theme Options', 'manage_options', 'register-theme-options', 'theme_over' );
}
global $pagenow;
if($pagenow == 'themes.php' or $pagenow == 'options.php') {
function register_theme_options() {
	wp_enqueue_style('thickbox');
	wp_enqueue_script('thickbox');
	$args = array('theme_favicon','show_author', 'show_date', 'show_tag', 'show_categories', 'show_comments','auto_link', 'read_more', 'copyright');
	foreach($args as $ov)
		register_setting( 'veblebi-option-group', $ov );
	// social
	$args = array('Facebook','Twitter','Google','Linkedin','Pinterest','Youtube','Flickr','Tumblr','StumbleUpon','Instagram','Rss');
	foreach($args as $sv)
		register_setting( 'veblebi-option-group', $sv );
}
add_action( 'admin_init', 'register_theme_options' );

function slc($s1,$s2) {
	if($s1 == $s2) echo ' selected="selected"';
}

function theme_over() { 
global $wp_filesystem;?>
<style type="text/css">
label {
	min-width: 140px;
	display: inline;
	display: inline-block;
	font-weight: bold;
}
select {
	min-width: 200px;
}
#o-tabs {border:1px solid #ccc; padding:6px}
#o-tabs ul {list-style:none !important}
#o-tabs ul>li {float:left;padding: 6px 6px 6px 0;}
.tabs {display:none;}
.in {display:block;}
#homepage h4 {
	border-bottom:1px solid #dedede;
	margin-bottom:3px;
	color:red;
}
</style>
<div class="wrap">
<h2> Serce Options</h2>
</div>
<form method="post" action="options.php">
<?php settings_fields( 'veblebi-option-group' ); ?>
<div id="o-tabs">
	<ul>
		<li id="tab1" class="active"><span class="button-primary"><?php _e('General opitons','veblebi')?></span></li>
		<li id="tab2"><span class="button-secondary">Social</span></li>
	</ul>
	<div class="clear"></div>
	<div id="genel" class="tabs in">
	<p>
	<label for="add_theme_favicon">Favicon:</label><br>
		<?php
		$no_fav = get_template_directory_uri().'/favicon.ico';
		$slc = $logo = get_option('theme_favicon',null);
		$src = ( $slc != null) ? $slc : $no_fav;
		?>
		<img src="<?php echo $src?>" id="theme_favicon_pic" style="max-width:200px;border: 1px solid #ccc;padding: 5px;box-shadow: 5px 5px 10px #ccc;margin-top: 10px;" >
		<input type="hidden" id="theme_favicon" name="theme_favicon" value="<?php echo $slc?>">
		<br><button type="button" id="add_theme_favicon" class="button">Select Picture</button>
		<?php if(!empty($slc)):?>
			 <button type="button" id="remowe_theme_favicon" class="button">Remove Logo</button>
		<?php endif?>
	</p>
	<script type="text/javascript">
		jQuery(document).ready(function() {
				jQuery("#add_theme_favicon").click(function() {
					tb_show("Select Favicon", "media-upload.php?type=image&amp;TB_iframe=true&amp;width=640&amp;height=550");
				window.send_to_editor = function(html) {
					jQuery("#theme_favicon").val( jQuery("img",html).attr("src") );
					jQuery("#theme_favicon_pic").attr("src",jQuery("#theme_favicon").val()) ;
					tb_remove();
					return false;
				}
				});
				jQuery("#remowe_theme_favicon").click(function() {
					jQuery("#theme_favicon_pic").attr("src","<?php echo $no_fav ?>");
					jQuery("#theme_favicon").val("");
					jQuery(this).hide();
				});
		});
	</script>
	
	<h2>Post Header Options</h2>
	<p>
	<label for="show_author"><?php _e( 'Show Author', 'veblebi' ); ?>:</label>
		<?php
		if ( !get_option('show_author') ) $slc = 1;
		else $slc = get_option( 'show_author' );?>
		<select name="show_author" id="show_author">
			<option value="1">Yes</option>
			<option value="2"<?php if($slc == 2) echo ' selected="selected"'?>>No</option>
		</select>
	</p>
	<p>
	<label for="show_date"><?php _e( 'Show Date', 'veblebi' ); ?>:</label>
		<?php $slc = get_option( 'show_date',1 );?>
		<select name="show_date" id="show_date">
			<option value="1">Yes</option>
			<option value="2"<?php if($slc == 2) echo ' selected="selected"'?>>No</option>
		</select>
	</p>
	<p>
	<label for="show_tag"><?php _e( 'Show Tags', 'veblebi' ); ?>:</label>
		<?php $slc = get_option( 'show_tag', 1 );?>
		<select name="show_tag" id="show_tag">
			<option value="1">Yes</option>
			<option value="2"<?php if($slc == 2) echo ' selected="selected"'?>>No</option>
		</select>
	</p>
	<p>
	<label for="show_categories"><?php _e( 'Show Categories', 'veblebi' ); ?>:</label>
		<?php $slc = get_option( 'show_categories',1 );?>
		<select name="show_categories" id="show_categories">
			<option value="1">Yes</option>
			<option value="2"<?php if($slc == 2) echo ' selected="selected"'?>>No</option>
		</select>
	</p>
	<p>
	<label for="show_comments"><?php _e( 'Show Comments', 'veblebi' ); ?>:</label>
		<?php $slc = get_option( 'show_comments',1 );?>
		<select name="show_comments" id="show_comments">
			<option value="1">Yes</option>
			<option value="2"<?php if($slc == 2) echo ' selected="selected"'?>>No</option>
		</select>
	</p>
	<hr>
	<p>
	<label for="auto_link">Auto Tag Links:</label>
		<?php $slc = get_option( 'auto_link',1 );?>
		<select name="auto_link" id="auto_link">
			<option value="1">Yes</option>
			<option value="2"<?php if($slc == 2) echo ' selected="selected"'?>>No</option>
		</select>
	</p>
	<hr>
	<p>
	<label for="cur1"><?php _e( 'Read More Button', 'veblebi' ); ?>:</label>
		<?php $slc = get_option( 'read_more', 'Read More' );?>
		<input type="text" name="read_more" id="read_more" value="<?php echo $slc?>" />
	</p>
	<hr>
	<p>
	<label for="copyright"><?php _e( 'Copyright', 'veblebi' ); ?>:</label>
		<?php $slc = get_option( 'copyright', null );?>
		<textarea name="copyright" id="copyright" rows="3" style="width: 50%;"><?php echo $slc?></textarea>
	</p>
	</div>
<!-- //general -->

<!-- social -->
	<div id="social" class="tabs">
	<h2>Social Options</h2>
	<p>
	<label for="Facebook">Facebook:</label>
		<?php
		if ( !get_option('Facebook') ) $slc = '';
		else $slc = get_option( 'Facebook' );?>
		<input type="text" name="Facebook" id="Facebook" value="<?php echo $slc?>" class="regular-text" />
	</p>
	<p>
	<label for="Twitter">Twitter:</label>
		<?php
		if ( !get_option('Twitter') ) $slc = '';
		else $slc = get_option( 'Twitter' );?>
		<input type="text" name="Twitter" id="Twitter" value="<?php echo $slc?>" class="regular-text" />
	</p>
	<p>
	<label for="Google">Google+:</label>
		<?php
		if ( !get_option('Google') ) $slc = '';
		else $slc = get_option( 'Google' );?>
		<input type="text" name="Google" id="Google" value="<?php echo $slc?>" class="regular-text" />
	</p>
	<p>
	<label for="Linkedin">Linkedin:</label>
		<?php
		if ( !get_option('Linkedin') ) $slc = '';
		else $slc = get_option( 'Linkedin' );?>
		<input type="text" name="Linkedin" id="Linkedin" value="<?php echo $slc?>" class="regular-text" />
	</p>
	<p>
	<label for="Pinterest">Pinterest:</label>
		<?php
		if ( !get_option('Pinterest') ) $slc = '';
		else $slc = get_option( 'Pinterest' );?>
		<input type="text" name="Pinterest" id="Pinterest" value="<?php echo $slc?>" class="regular-text" />
	</p>
	<p>
	<label for="Youtube">Youtube:</label>
		<?php
		if ( !get_option('Youtube') ) $slc = '';
		else $slc = get_option( 'Youtube' );?>
		<input type="text" name="Youtube" id="Youtube" value="<?php echo $slc?>" class="regular-text" />
	</p>
	<p>
	<label for="Flickr">Flickr:</label>
		<?php
		if ( !get_option('Flickr') ) $slc = '';
		else $slc = get_option( 'Flickr' );?>
		<input type="text" name="Flickr" id="Flickr" value="<?php echo $slc?>" class="regular-text" />
	</p>
	<p>
	<label for="Tumblr">Tumblr:</label>
		<?php
		if ( !get_option('Tumblr') ) $slc = '';
		else $slc = get_option( 'Tumblr' );?>
		<input type="text" name="Tumblr" id="Tumblr" value="<?php echo $slc?>" class="regular-text" />
	</p>
	<p>
	<label for="StumbleUpon">StumbleUpon:</label>
		<?php
		if ( !get_option('StumbleUpon') ) $slc = '';
		else $slc = get_option( 'StumbleUpon' );?>
		<input type="text" name="StumbleUpon" id="StumbleUpon" value="<?php echo $slc?>" class="regular-text" />
	</p>
	<p>
	<label for="Instagram">Instagram:</label>
		<?php
		if ( !get_option('Instagram') ) $slc = '';
		else $slc = get_option( 'Instagram' );?>
		<input type="text" name="Instagram" id="Instagram" value="<?php echo $slc?>" class="regular-text" />
	</p>
	<p>
	<label for="Rss">RSS:</label>
		<?php
		if ( !get_option('Rss') ) $slc = '';
		else $slc = get_option( 'Rss' );?>
		<input type="text" name="Rss" id="Rss" value="<?php echo $slc?>" class="regular-text" />
	</p>
</div>
<!-- //social -->
</div>
	<p class="submit">
		<input type="submit" class="button-primary" value="<?php _e('Save Changes','veblebi') ?>" />
	</p>
</form>
<script type="text/javascript">//<![CDATA[
function obtn() {
	jQuery("li .button-primary").attr('class','button-secondary');
}
function otabs() {
	jQuery(".active").removeAttr('class');
	jQuery(".tabs").attr('class','tabs');
	jQuery(".tabs").hide();
}
function oactive(s) {
	jQuery(".active span").attr('class','button-primary');
	jQuery(s).fadeIn(200);
}
jQuery("#tab1").click(function(){
	otabs();obtn();
	jQuery(this).attr('class','active');
	oactive("#genel");
});
jQuery("#tab2").click(function(){
	otabs();obtn();
	jQuery(this).attr('class','active');oactive();
	oactive("#social");
});//]]>
</script>
<?php } ?>
<div class="clear"></div>
<?php } // if options ?>