<?php
/**
 * The template for displaying Search Results pages
 * @package WordPress
 * @subpackage veblebi
 */

get_header(); 
?>
<?php 
vt_content_section('search');
vt_widgets_sheet('v-top', false);
if(have_posts()):
?>
	<header class="entry-header post-header">
		<h1 class="post-title entry-title">
			<span><?php printf( __( 'Search Results for: %s', 'veblebi' ), get_search_query() ); ?></span>
		</h1>
	</header>
	<div class="entry">
	<?php
		vt_posts();
		vt_paginate();
	?>
	</div>
<?php else: ?>
<section class="hentry">
<header class="entry-header post-header">
	<h1 class="page-title entry-title"><span><?php _e( 'Nothing Found', 'veblebi' ); ?></span></h1>
</header>
<div class="entry clearfix">
<div class="alert alert-danger"><?php _e( 'Apologies, but no results were found. Perhaps searching will help find a related post.', 'veblebi'); ?></div>
<?php get_search_form(); ?>
</div>
</section>

<?php endif; ?>

<?php 
vt_widgets_sheet('v-bottom');
vt_content_section(null,true);
get_sidebar();
get_footer();
?>