<?php
/**
 * The Template for displaying all single posts
 * @package WordPress
 * @subpackage SerceNews
 */
get_header();
?>
<!-- single -->
<?php
vt_content_section('single');
vt_widgets_sheet('v-top');
if(have_posts()): the_post();
$content = vt_add_link_tags( get_the_content());
?>
	<header class="entry-header post-header">
		<h1 class="post-title entry-title">
			<span><?php the_title();?></span>
		</h1>
	</header>
	<div class="entry clearfix">
		<span class="entry-meta meta">
		<?php vt_entry_meta(get_the_ID())?>
		</span>
			<?php echo apply_filters('the_content',$content);?>
			<div class="clearfix"></div>
			<?php if ( comments_open() ) : ?>
			<?php comments_template( '',true ); ?>
			<?php endif?>
	</div><!-- #post -->
<?php 
endif;
vt_widgets_sheet('v-bottom');
vt_content_section(null,true);
get_sidebar();
?>
</div>
<div class="clearfix"></div>
<?php get_footer();?>