<?php
/**
 * The template for displaying Tag pages
 * @package WordPress
 * @subpackage SerceNews
 */

get_header();
vt_content_section('tags entry-grid');
vt_widgets_sheet('v-top');
?>
<header class="entry-header post-header">
	<h1 class="archive-title entry-title">
		<span><?php printf( __( 'Tag Archives: %s', 'veblebi'),single_tag_title( '', false ) ); ?></span>
	</h1>
</header>
<div class="entry clearfix">
	<?php if ( tag_description() ) : ?>
	<span id="description"><?php echo tag_description(); ?></span>
	<?php endif; ?>
	<?php
	if ( have_posts() ) vt_posts(false);
	else get_template_part('content', 'none');
	vt_paginate();
	vt_widgets_sheet('v-bottom');
	?>
</div><!-- #post -->
<?php vt_content_section(null,true)?>
<!-- //single -->
<?php get_sidebar();?>
<?php get_footer();?>