<?php
/**
 * The template for displaying Category pages
*/
get_header();
vt_content_section('categories entry-grid');
vt_widgets_sheet('v-top');
?>
	<header class="entry-header post-header">
		<h1 class="post-title entry-title">
			<span><?php printf( __('Category Archives: %s', 'veblebi' ), single_cat_title( '', false ) ); ?></span>
		</h1>
	</header>
	<div class="entry clearfix">
	<?php if ( category_description() ) : ?>
		<span id="description"><?php echo category_description(); ?></span>
	<?php endif; ?>
	<?php
		if ( have_posts() ) vt_posts(false);
		else get_template_part('content', 'none');
		vt_paginate();
		vt_widgets_sheet('v-bottom');
	?>
	</div><!-- #posts -->
<?php
vt_content_section(null,true)?>
<!-- //single -->
<?php get_sidebar();?>
<?php get_footer();?>