<?php
if ( function_exists( 'register_sidebar' ) ) {
	function veblebi_register_sidebars() {
		register_sidebar( array (
			'name' => __( 'Sidebar', 'veblebi' ),
			'id' => 'v-sidebar',
			'description'   => __( 'Main sidebar that appears on the right.', 'veblebi' ),
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '<div class="clearfix"></div></aside><div class="clearfix"></div>',
			'before_title'  => '<h1 class="widget-title"><span>',
			'after_title'   => '</span></h1>',
		));
		register_sidebar( array (
			'name' => __( 'Home Top Full Width', 'veblebi' ),
			'id' => 'v-ht-full',
			'description' => __( 'Home Top Full Width widget area','veblebi' ),
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '<div class="clearfix"></div></aside><div class="clearfix"></div>',
			'before_title'  => '<h1 class="widget-title"><span>',
			'after_title'   => '</span></h1>',
		));
		register_sidebar( array (
			'name' => __( 'Home Top Left', 'veblebi' ),
			'id' => 'v-ht1',
			'description' => __( 'Home Top Left widget area','veblebi' ),
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '<div class="clearfix"></div></aside><div class="clearfix"></div>',
			'before_title'  => '<h1 class="widget-title"><span>',
			'after_title'   => '</span></h1>',
		));
		register_sidebar( array (
			'name' => __( 'Home Top Right', 'veblebi' ),
			'id' => 'v-ht2',
			'description' => __( 'Home Top right widget area','veblebi' ),
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '<div class="clearfix"></div></aside><div class="clearfix"></div>',
			'before_title'  => '<h1 class="widget-title"><span>',
			'after_title'   => '</span></h1>',
		));
		register_sidebar( array (
			'name' => __( 'Home Bottom Full Width', 'veblebi' ),
			'id' => 'v-hb-full',
			'description' => __( 'Home Bottom Full Width widget area','veblebi' ),
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '<div class="clearfix"></div></aside><div class="clearfix"></div>',
			'before_title'  => '<h1 class="widget-title"><span>',
			'after_title'   => '</span></h1>',
		));
		register_sidebar( array (
			'name' => __( 'Home Bottom Left', 'veblebi' ),
			'id' => 'v-hb1',
			'description' => __( 'Home Bottom Left widget area','veblebi' ),
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '<div class="clearfix"></div></aside><div class="clearfix"></div>',
			'before_title'  => '<h1 class="widget-title"><span>',
			'after_title'   => '</span></h1>',
		));
		register_sidebar( array (
			'name' => __( 'Home Bottom Right', 'veblebi' ),
			'id' => 'v-hb2',
			'description' => __( 'Home Bottom Right widget area','veblebi' ),
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '<div class="clearfix"></div></aside><div class="clearfix"></div>',
			'before_title'  => '<h1 class="widget-title"><span>',
			'after_title'   => '</span></h1>',
		));
		register_sidebar( array (
			'name' => __( 'Top Full Width', 'veblebi' ),
			'id' => 'v-top-full',
			'description' => __( 'Top Full Width widget area','veblebi' ),
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '<div class="clearfix"></div></aside><div class="clearfix"></div>',
			'before_title'  => '<h1 class="widget-title"><span>',
			'after_title'   => '</span></h1>',
		));
		register_sidebar( array (
			'name' => __( 'Bottom Full Width', 'veblebi' ),
			'id' => 'v-bottom-full',
			'description' => __( 'Bottom Full Width widget area','veblebi' ),
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '<div class="clearfix"></div></aside><div class="clearfix"></div>',
			'before_title'  => '<h1 class="widget-title"><span>',
			'after_title'   => '</span></h1>',
		));
		register_sidebar( array (
			'name' => __( 'Bottom Left', 'veblebi' ),
			'id' => 'v-bottom1',
			'description' => __( 'Bottom Left widget area','veblebi' ),
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '<div class="clearfix"></div></aside><div class="clearfix"></div>',
			'before_title'  => '<h1 class="widget-title"><span>',
			'after_title'   => '</span></h1>',
		));
		register_sidebar( array (
			'name' => __( 'Bottom Middle', 'veblebi' ),
			'id' => 'v-bottom2',
			'description' => __( 'Bottom Middle widget area','veblebi' ),
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '<div class="clearfix"></div></aside><div class="clearfix"></div>',
			'before_title'  => '<h1 class="widget-title"><span>',
			'after_title'   => '</span></h1>',
		));
		register_sidebar( array (
			'name' => __( 'Bottom Right', 'veblebi' ),
			'id' => 'v-bottom3',
			'description' => __( 'Bottom right widget area','veblebi' ),
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '<div class="clearfix"></div></aside><div class="clearfix"></div>',
			'before_title'  => '<h1 class="widget-title"><span>',
			'after_title'   => '</span></h1>',
		));
	}
	add_action( 'widgets_init', 'veblebi_register_sidebars' );
}

// header right
function vt_widgets_header() {
	if ( is_active_sidebar( 'header' ) )
		dynamic_sidebar('header');
}
// top 
function vt_widgets_sheet($s = 'v-bottom', $loop = true ) {
	$block = array();
	$col = 'col-xs-12';
	$max = ($loop == true ) ? 3 : 1;
	for($i=0;$i<=$max;$i++) {
		$b = ($i == 0) ? $s.'-full' : $s.$i; // block
		if( is_active_sidebar( $b )) {
			$block[$i] = $b;
			if($i == 2) $col = 'col-sm-6 col-xs-12';
		}
	}
	if(!empty($block)):
	?>
	<section id="sidebar-<?php echo $s?>" class="sheet_widgets clearfix">
	<?php
	foreach($block as $key => $v):
		if($key == 0) 
			$b_col = 'col-xs-12';
		else 
			$b_col = $col;
		?>
		<div id="<?php echo $v?>" class="<?php echo $b_col?> sheet_widgets_block">
			<?php dynamic_sidebar($v)?>
		</div>
		<?php
	endforeach;?>
	</section>
<?php
	endif;
}

?>